Page MenuHomePhabricator

Section Translation: Pick a section
Open, HighPublic

Description

As part of the Section translation workflow (T243495), allow users to pick a section to translate for a given article in two languages.

View this step in prototype for a general overview.

General concept

Selecting a section to translate is the first step of the workflow. At this point, the article and language pairs are known, determined by different entry points in different ways. At this step the users are provided a menu with the sections for them to translate, and contextual information they may need to make a decision.

OverviewLayout diagramLayout detail

Users are provided a list of sections for them to pick one to translate:

  • The sections of the source article are shown in a menu. The sections are grouped, based on whether they are present or not in the target article.
  • The solution will be responsive to support both mobile and desktop devices.

Below are described in more detail the different pieces supporting this step.

Header

Header instructions:

Select a section to translate
Next you’ll see the section contents to decide what to translate.

Language Selector

The language selector follows a different design on narrower screens using the whole width to get additional space.

Lists of sections

List titles:

Sections missing in {Source Language}
Sections present in {Target Language]

Access to the source and target pages

Additional considerations about possible issues

Block messages:

Automatic section matching
Sections are identified automatically and the results are not always accurate.
[Learn more]

Unsupported sections
Some sections may not appear in the list because their contents are not supported yet.
[Learn more]

Navigation and transitions to other steps


This ticket is focused on the section selection step. Other tickets will provide support for previous steps such as entry points (T241590, T241591, T239699) and following steps such as previewing the section contents (T241589).

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 30 2019, 2:58 PM
Pginer-WMF triaged this task as Medium priority.Dec 30 2019, 2:59 PM
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF updated the task description. (Show Details)Dec 30 2019, 3:15 PM
Pginer-WMF updated the task description. (Show Details)Dec 30 2019, 3:42 PM
Pginer-WMF updated the task description. (Show Details)Jan 23 2020, 8:59 AM
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF updated the task description. (Show Details)Jan 23 2020, 10:23 AM
Pginer-WMF raised the priority of this task from Medium to High.Mar 3 2020, 3:47 PM
Pginer-WMF updated the task description. (Show Details)Mar 30 2020, 2:29 PM
Pginer-WMF updated the task description. (Show Details)Mar 30 2020, 2:41 PM
Pginer-WMF updated the task description. (Show Details)Apr 8 2020, 9:49 AM
Pginer-WMF updated the task description. (Show Details)Apr 8 2020, 10:03 AM
Pginer-WMF updated the task description. (Show Details)Apr 8 2020, 10:11 AM
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF removed a project: Design.
Pginer-WMF updated the task description. (Show Details)Apr 9 2020, 10:27 AM
Pginer-WMF renamed this task from Section Translation: Support section selection to Section Translation: Pick a section.Apr 14 2020, 9:55 AM
Pginer-WMF updated the task description. (Show Details)Apr 22 2020, 9:46 AM
Pginer-WMF updated the task description. (Show Details)May 6 2020, 9:29 AM

Change 597745 had a related patch set uploaded (by Nik Gkountas; owner: Nik Gkountas):
[mediawiki/extensions/ContentTranslation@master] SX Language Selector: Create SX language selector component

https://gerrit.wikimedia.org/r/597745

Change 597761 had a related patch set uploaded (by Nik Gkountas; owner: Nik Gkountas):
[mediawiki/extensions/ContentTranslation@master] SX Pick a Section layout: Fix header layout

https://gerrit.wikimedia.org/r/597761

Change 597745 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] SX Language Selector: Create SX language selector component

https://gerrit.wikimedia.org/r/597745

Change 599784 had a related patch set uploaded (by Nik Gkountas; owner: Nik Gkountas):
[mediawiki/extensions/ContentTranslation@master] SX Confirm/Start Translation: Enhance page functionality

https://gerrit.wikimedia.org/r/599784

Change 597761 abandoned by Nik Gkountas:
SX Pick a Section layout: Fix header layout

Reason:
Splitting patch in different patches

https://gerrit.wikimedia.org/r/597761

Change 601781 had a related patch set uploaded (by Nik Gkountas; owner: Nik Gkountas):
[mediawiki/extensions/ContentTranslation@master] SX Mobile Pick a Section step: Enhance functionality

https://gerrit.wikimedia.org/r/601781

ngkountas claimed this task.Jun 2 2020, 4:08 PM

Change 602033 had a related patch set uploaded (by Nik Gkountas; owner: Nik Gkountas):
[mediawiki/extensions/ContentTranslation@master] CX language info: create autonym mixin and replace code duplication

https://gerrit.wikimedia.org/r/602033

Change 602494 had a related patch set uploaded (by Nik Gkountas; owner: Nik Gkountas):
[mediawiki/extensions/ContentTranslation@master] Vuex suggestion module: Refactor to store available language links for articles

https://gerrit.wikimedia.org/r/602494

Change 599784 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] SX Confirm/Start Translation step: Enhance functionality

https://gerrit.wikimedia.org/r/599784

Change 601781 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] SX Mobile Pick a Section step: Enhance functionality

https://gerrit.wikimedia.org/r/601781

Change 602033 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX language info: create autonym mixin and delete MWAutonym

https://gerrit.wikimedia.org/r/602033

Change 605977 had a related patch set uploaded (by Nik Gkountas; owner: Nik Gkountas):
[mediawiki/extensions/ContentTranslation@master] SX Pick a section: Add empty missing sections state and additional considerations

https://gerrit.wikimedia.org/r/605977

Change 605977 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] SX Pick a section: Add empty missing sections state and additional considerations

https://gerrit.wikimedia.org/r/605977

Change 602494 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Vuex store: Add languageTitleGroups

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ContentTranslation/ /602494

Change 609437 had a related patch set uploaded (by Nik Gkountas; owner: Nik Gkountas):
[mediawiki/extensions/ContentTranslation@master] SX Pick a section: Complete mobile layout

https://gerrit.wikimedia.org/r/609437

Change 609437 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] SX Pick a section: Complete mobile layout

https://gerrit.wikimedia.org/r/609437

Videos from current version:

Mobile:
Tablet:
Desktop:
Pginer-WMF updated the task description. (Show Details)Aug 5 2020, 11:20 AM
ngkountas removed ngkountas as the assignee of this task.Thu, Nov 26, 11:32 AM